import Vue from 'vue'
import VueRouter from 'vue-router'
import MyIndex from '../views/MyIndex.vue'
import Aqsc from '../views/aqsc.vue'
import Yshj from '../views/yshj.vue'
import Xczx from '../views/xczx.vue'
import Kjcx from '../views/Kjcx.vue'
import Sxh from '../views/Sxh.vue'
import Cyfz from '../views/Industry.vue'
import Msbz from '../views/Live.vue'
import Xxczh from '../views/NewUrbanization.vue'
import Qyxtfz from '../views/Region.vue'
import Hjzz from '../views/Ecology.vue'
import Ctfy from '../views/Epidemic.vue'
import Xxgl from '../views/Xxgl.vue'
import Szsy from '../views/Szsy.vue'
import Err from '../views/err.vue'
Vue.use(VueRouter)


var router = new VueRouter({
  routes: [
    {
      path: '/',
      name: 'MyIndex',
      meta: { title: '青田数字子门户' },
      component: MyIndex
    },
    {
      path: '/aqsc',
      name: 'Aqsc',
      meta: { title: '安全生产' },
      component: Aqsc
    },
    {
      path: '/yshj',
      name: 'Yshj',
      meta: { title: '营商环境' },
      component: Yshj
    },
    {
      path: '/xczx',
      name: 'Xczx',
      meta: { title: '乡村振兴' },
      component: Xczx
    },
    {
      path: '/kjcx',
      name: 'Kjcx',
      meta: { title: '科技创新' },
      component: Kjcx
    },
    {
      path: '/sxh',
      name: 'Sxh',
      meta: { title: '双循环' },
      component: Sxh
    },
    {
      path: '/cyfz',
      name: 'Cyfz',
      meta: { title: '产业发展' },
      component: Cyfz
    },
    {
      path: '/msbz',
      name: 'live',
      meta: { title: '民生保障' },
      component: Msbz
    },
    {
      path: '/xxczh',
      name: 'NewUrbanization',
      meta: { title: '新型城镇化' },
      component: Xxczh
    },
    {
      path: '/qyxtfz',
      name: 'region',
      meta: { title: '区域协调发展' },
      component: Qyxtfz
    },
    {
      path: '/ctfy',
      name: 'Ctfy',
      meta: { title: '常态防疫' },
      component: Ctfy
    },
    {
      path: '/cthfy',
      name: 'Chhtfy',
      meta: { title: '常态防疫' },
      component: Ctfy
    },
    {
      path: '/stwm',
      name: 'Stwm',
      meta: { title: '生态文明' },
      component: Hjzz
    },
    {
      path: '/xxgl',
      name: 'Xxgl',
      meta: { title: '信息管理' },
      component: Xxgl
    },
    {
      path: '/szsy',
      name: 'Szsy',
      meta: { title: '双招双引' },
      component: Szsy
    },
    {
      path: '/err',
      name: 'Err',
      meta: { title: '无权限' },
      component: Err
    }
  ]
})
router.beforeEach((to, from, next) => {
  // if (to.path == "/login"||to.path=="/nopower") {
  next()
  // if (to.path == '/') {
  //   next()
  // } else if (to.fullPath.indexOf('?') != -1) {
  //   let tag = to.fullPath.split('?')[1]
  //   let obj = {}
  //   obj[tag.split('=')[0]] = tag.split('=')[1]
  //   if (obj.debug == "true") {
  //     // console.log(1111);
  //     next();
  //   } else {
  //     // router.
  //     next({name: 'Err'})
  //   }
  // } else {
  //   next({name: 'Err'})
  // }
})
export default router
